# MALL-VUE
[![Build Status](https://travis-ci.com/PowerDos/Mall-Vue.svg?branch=master)](https://travis-ci.com/PowerDos/Mall-Vue)
[![VueJS Version](https://img.shields.io/badge/VueJS-v2.5-green.svg?style=flat-square)](https://vuejs.org/)
[![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)
[![Read the Docs (version)](https://img.shields.io/readthedocs/pip/stable.svg)](https://github.com/PowerDos/Mall-Vue)
[![status](https://img.shields.io/badge/Mall--Vue-maintain-brightgreen.svg)](https://standardjs.com)
[![npm version](https://img.shields.io/badge/npm-v5.5.1-brightgreen.svg)](https://standardjs.com)
[![iview version](https://img.shields.io/badge/iview-2.13.1-brightgreen.svg)](https://standardjs.com)
[![author](https://img.shields.io/badge/author-Gavin-brightgreen.svg)](https://standardjs.com)

> This is a front-end project of an e-commerce website based on VUE + VUEX + iView UI, and the version that combines with the backend API server is on **forMallServer** branch，welcome to fork or star


> The online demo: [https://powerdos.github.io/Mall-Vue/index.html](https://powerdos.github.io/Mall-Vue/index.html "Mall-Vue")

## Document
[中文](https://github.com/PowerDos/Mall-Vue/blob/master/README-ZH.md) | [English](https://github.com/PowerDos/Mall-Vue/blob/master/README.md)

## Prerequisites
> The **master** branch is a pure front-end project，and the **forMallServer** branch is a front-end project that combines with the backend API server. The mall api server:[https://github.com/PowerDos/Mall-Server](https://github.com/PowerDos/Mall-Server)


> The project on master branch is a pure front-end project，so the login account and password is fixed. Account: Gavin, Password: 123456

## How to run

``` bash
# Install dependencies
npm install

# Serve with hot reload at localhost:8080
npm run dev

# Build for production with minification
npm run build
```

## TO-DO-LIST
- [x] [HOME PAGE](#home-page)
- [x] [LOGIN PAGE](#login-page)
- [x] [SIGNUP PAGE](#signup-page)
- [x] [PRODUCT LIST PAGE](#product-list-page)
- [x] [PRODUCT DETAIL PAGE](#product-detail-page)
- [x] [SHOPPING CART PAGE](#shopping-cart-page)
- [x] [ORDER PAGE](#order-page)
- [x] [PAY PAGE](#pay-page)
- [x] [SUCCESS PAGE](#success-page)
- [x] [FREEBACK PACE](#freeback-page)
- [x] [MERCHANT PAGE](#merchant-page)
- [x] [USER PAGE](#user-page)

## PAGE

### HOME PAGE
![首页1](https://i.imgur.com/cNtx70M.png)
![首页2](https://i.imgur.com/ju5lfUc.png)
![首页3](https://i.imgur.com/K8MMYGq.png)

### PRODUCT LIST PAGE
![商品搜索页面1](https://i.imgur.com/Wu7TJ4G.png)
![商品搜索页面2](https://i.imgur.com/ZTDRB2X.png)

### PRODUCT DETAIL PAGE
![商品详情页面1](https://i.imgur.com/0SQxUCN.png)
![商品详情页面2](https://i.imgur.com/kBiQM9O.png)
![商品详情页面3](https://i.imgur.com/aERYRmX.png)
![商品详情页面4](https://i.imgur.com/vRpvcvj.png)

### SHOPPING CART PAGE
![购物车页面](https://i.imgur.com/m5tftN7.png)

### ORDER PAGE
![确认订单页面](https://i.imgur.com/iNM3CQH.png)

### PAY PAGE
![支付页面](https://i.imgur.com/4OdCynR.png)

### SUCCESS PAGE
![购买成功页面](https://i.imgur.com/tOATGZP.png)

### FREEBACK PACE
![反馈页面](https://i.imgur.com/fbOZAH8.png)

### MERCHANT PAGE
![商家店铺页面](https://i.imgur.com/Zgu54lw.png)

### USER PAGE
![用户页面](https://i.imgur.com/ttCwhyT.png)

### LOGIN PAGE
![登陆页面](https://i.imgur.com/d16GjOi.png)

### SIGNUP PAGE
![注册页面](https://i.imgur.com/no4Cb65.png)
